=== debian/changelog ===
ros-indigo-mrpt-ekf-slam-3d (0.1.5-0trusty) trusty; urgency=high

  * Don't instruct cmake to search eigen3, mrpt has it
  * Fix cmakelists typo
  * avoid cmake errors if eigen is not found
  * Contributors: Jose Luis Blanco-Claraco, Nikos Koukis

 -- Jose Luis <jlblanco@ual.es>  Thu, 17 Nov 2016 23:00:00 -0000

ros-indigo-mrpt-ekf-slam-3d (0.1.3-0trusty) trusty; urgency=high

  * Avoid gcc warnings with MRPT < 2.0.0
  * fix build against mrpt < 1.5.0
  * Contributors: Jose-Luis Blanco-Claraco

 -- Jose Luis <jlblanco@ual.es>  Mon, 26 Sep 2016 22:00:00 -0000

ros-indigo-mrpt-ekf-slam-3d (0.1.2-0trusty) trusty; urgency=high

  * Make formatting conform to ROS C++ Style Guide.
  * fix eigen3 dependency problem
  * Output logs only in ROS.
  * Add a guard for new mrpt_bridge::rosLoggerLvlToMRPTLoggerLvl and mrpt_bridge::mrptToROSLoggerCallback functions for MRPT version less than 1.5.0.
  * Add streaming of MRPT logs to ROS logs.
  * Contributors: Jose Luis Blanco, Logrus, Vladislav Tananaev

 -- Jose Luis <jlblanco@ual.es>  Fri, 23 Sep 2016 22:00:00 -0000

ros-indigo-mrpt-ekf-slam-3d (0.1.1-0trusty) trusty; urgency=high

  * First public version, as a result of Vladislav Tananaev's GSoC2016 work.
  * Skip mrpt_ekf_slam_3d if version of MRPT is lower than 1.5.0.
  * Contributors: Jose Luis Blanco, Logrus

 -- Jose Luis <jlblanco@ual.es>  Sun, 21 Aug 2016 22:00:00 -0000
